XVIV_GHDL_UNISIM(1)

NAME
xviv_ghdl_unisim - compile Xilinx Vivado UNISIM and UNIMACRO libraries for GHDL

SYNOPSIS
xviv_ghdl_unisim [GHDL-OPTION]...

DESCRIPTION
xviv_ghdl_unisim compiles the Xilinx Vivado UNISIM and UNIMACRO libraries for ghdl. The object files generated by ghdl are stored in the directory tree of the currently active version of Vivado under $XTWV_PATH/ghdl/unisim and $XTWV_PATH/ghdl/unimacro. This script builds the 'retarget' version of UNISIM, thus most legacy entities from the ISE UNISIM library are available and will be mapped to the matching Series-7 entities. Just use the ghdl option
        -P${XWTI_PATH}/ghdl/unisim
        -P${XWTI_PATH}/ghdl/unimacro
to link to the UNISIM or UNIMACRO library. ghdl can be used without an xtwv wrapper. The Xilinx source code has since many releases some buggy statements with self-referential initializations. They seem to be tolerated by the commercial tools but not by ghdl. The xilinx_vhdl_memcolltype_fix helper script simply removes them, no further problems seen so far.

OPTIONS
Options added after the xviv_ghdl_unisim command are simply forwarded to the 'ghdl -a' commands. In general used to specify the optimize level. If no options given -O2 -g is used.

ENVIRONMENT

XTWV_PATH
    points to the root of the currently active Vivado installation.

FILES

$XTWV_PATH/data/vhdl/src/unisims
    The VHDL sources for the Xilinx Vivado UNISIM library

$XTWV_PATH/data/vhdl/src/unimacro
    The VHDL sources for the Xilinx Vivado UNIMACRO library

$XTWV_PATH/ghdl
    The created object files will be written into this directory. The directory is created if it does not exist yet. Note that the $XTWV_PATH directory must be writable for the script.

SEE ALSO
xtwv(1), ghdl(1), xilinx_vhdl_memcolltype_fix(1)

AUTHOR
Walter F.J. Mueller <W.F.J.Mueller@gsi.de>